<template>
  <div class="row justify-content-center">
    <div class="col-md-10">
      <div class="account-wrapper">
        <div class="account-body">
          <h4 class="title mb-20">Formlário de Cadastro</h4>
          <div class="leave-comment">
            <form @submit.prevent="submit" class="contact-form">
              <div class="form-group">
                <input id="company" type="text" class="form-control" name="company" v-model="fields.company" placeholder="Digite o nome Fantasia" required autofocus>
                <div class="alert alert-danger" v-if="errors && errors.company">
                  {{ errors.company[0] }}
                </div>
              </div>
              <div class="form-group">
                <input id="name" type="text" class="form-control" v-model="fields.name" placeholder="Digite seu nome" required>
                <div class="alert alert-danger" v-if="errors && errors.name">
                  {{ errors.name[0] }}
                </div>
              </div>
              <div class="form-group">
                <input id="email" type="email" class="form-control" name="email" v-model="fields.email" placeholder="Digite seu email" required>
                <div class="alert alert-danger" v-if="errors && errors.email">
                  {{ errors.email[0] }}
                </div>
              </div>
              <div class="form-group">
                <input id="phone" type="text" class="form-control" data-inputmask="'mask': '(99) 99999-9999'" v-model="fields.phone" placeholder="DDD e Telefone" required>
                <div class="alert alert-danger" v-if="errors && errors.phone">
                  {{ errors.phone[0] }}
                </div>
              </div>
              <div class="form-group">
                <input id="document" type="text" class="form-control"  data-inputmask="'mask': '99.999.999/9999-99'" v-model="fields.document" placeholder="Digite número do CNPJ" required>
                <div class="alert alert-danger" v-if="errors && errors.document">
                  {{ errors.document[0] }}
                </div>
              </div>
              <div class="form-group">
                <input id="password" type="password" class="form-control" name="password" v-model="fields.password" placeholder="Digite uma Senha" required>
                <div class="alert alert-danger" v-if="errors && errors.password">
                  {{ errors.password[0] }}
                </div>
              </div>
              <div class="form-group">
                <input id="password-confirm" type="password" class="form-control" name="password_confirmation" v-model="fields.password_confirmation" placeholder="Confirme a Senha" required>
                <div class="alert alert-danger" v-if="errors && errors.password_confirmation">
                  {{ errors.password_confirmation[0] }}
                </div>
              </div>
              <div class="d-none">
                <input type="hidden" name="plan_id" value="1">
              </div>
              <div class="alert alert-success" v-show="success">Recebemos seu cadastro, em breve retornaremos!</div>

              <div class="form-group">
                <input type="submit" value="Enviar">
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      fields: {},
      success: false,
      errors: {}
    }
  },

  methods: {
    submit() {
      axios.post('/api/plans', this.fields).then(response => {
        this.fields = {};
        this.success = true;
        this.errors = {};
      }).catch(error => {
        if (error.response.status == 422) {
          this.errors = error.response.data.errors;
        }
        console.log('Error');
      });
    }
  }
}
</script>